package com.ruoyi.system.domain.dto;


import com.ruoyi.system.domain.SysSource;
import com.ruoyi.system.domain.UserWork;

import java.util.Date;
import java.util.List;

/*
* 我的---我的--我的发布(在具体资源位上的作品)--点击详情
* */
public class UserPublishWorkDetailDto {

    private Long workId;
    private String workName;
    private String workAddress;
    private String detail;
    private Date createTime;

    private Long receiveRockets;

    private Long userId;
    private String nickName;
    private String avatar;

    private String isFollow;
    private String isAddLike;

    private List<UserPublishWorkSourceListDto> sourceList;

//    private List<UserWork> userWorkList;










    public Long getWorkId() {
        return workId;
    }

    public void setWorkId(Long workId) {
        this.workId = workId;
    }

    public String getWorkName() {
        return workName;
    }

    public void setWorkName(String workName) {
        this.workName = workName;
    }

    public String getWorkAddress() {
        return workAddress;
    }

    public void setWorkAddress(String workAddress) {
        this.workAddress = workAddress;
    }

    public String getDetail() {
        return detail;
    }

    public void setDetail(String detail) {
        this.detail = detail;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }



    public Long getReceiveRockets() {
        return receiveRockets;
    }

    public void setReceiveRockets(Long receiveRockets) {
        this.receiveRockets = receiveRockets;
    }



    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public List<UserPublishWorkSourceListDto> getSourceList() {
        return sourceList;
    }

    public void setSourceList(List<UserPublishWorkSourceListDto> sourceList) {
        this.sourceList = sourceList;
    }

    public String getIsFollow() {
        return isFollow;
    }

    public void setIsFollow(String isFollow) {
        this.isFollow = isFollow;
    }

    public String getIsAddLike() {
        return isAddLike;
    }

    public void setIsAddLike(String isAddLike) {
        this.isAddLike = isAddLike;
    }

//    public List<UserWork> getUserWorkList() {
//        return userWorkList;
//    }
//
//    public void setUserWorkList(List<UserWork> userWorkList) {
//        this.userWorkList = userWorkList;
//    }





}
